load forget1D
load recforget1D
load 1Dbasis
close all
x = [-1:0.05:1];
recmem = sum(repmat(A,length(x),1).*basis,2);
memmem0 = sum(repmat(data(1000,:).*norm(A),length(x),1).*basis,2);
memmem1 = sum(repmat(data(5000,:).*norm(A),length(x),1).*basis,2);
memmem2 = sum(repmat(data(10000,:).*norm(A),length(x),1).*basis,2);
t = length(data_time);
step = 25;
i = 1;
for k = 1:step:t
    if k>5000
        plot(x,recmem,'-g',x,memmem1,':r',x,memmem0,'-k',x,sum(repmat(data(k,:).*norm(A),length(x),1).*basis,2),'-b');
    elseif k>1000
            plot(x,recmem,'-g',x,memmem0,'-k',x,sum(repmat(data(k,:).*norm(A),length(x),1).*basis,2),'-b');
    else
        plot(x,recmem,'-g',x,sum(repmat(data(k,:).*norm(A),length(x),1).*basis,2),'-b');
    end
    title('1D Memory Storage');
    xlabel('input');
    ylabel('f(input)');
    axis([-1 1 0 1]);
    M(i) = getframe;
    i = i+1;
end
legend('Memory','Stored Memory','0.5 seconds','1 second','Location','SouthWest');

error = zeros(9000,1);
for i=1000:10000
    error(i-999) = mean((recmem-sum(repmat(data(i,:),length(x),1).*basis,2)).^2);
end
figure;
plot(error.^0.5);
title('Memory Storage Error');
xlabel('Time');
ylabel('RMS');