from ca.nengo.math.impl import PiecewiseConstantFunction
from ca.nengo.model import Units
from ca.nengo.model.impl import FunctionInput

tauPSC = 0.1

infile = open("N:/My Documents/MATLAB/coeffs2.csv",'r') # Change this to point at your csv of coefficients 
A = []

dimension = 0
for line in infile:
    A = map(float,line.split(',')) # Read line from csv, split up vector components, convert to float
    if not dimension:
        dimension = len(A)
    else:
        if len(A) != dimension:
            print "Your CSV file has strange vector dimensions!"

p = [None]*dimension
for i in range(dimension):
     p[i] = PiecewiseConstantFunction([tauPSC],[A[i],0])

a = FunctionInput("input", p, Units.S)

that.addNode(a)